Summary: The inittab file and the /etc/init.d scripts.
Name: initscripts
Version: 6.7
Copyright: GPL
Group: System Environment/Base
Release: 1.3.1
Source0: initscripts-%{version}.tar.gz
Source1: ifupdown-1.1.1
Patch0:  initscripts-6.7-quota-fix-gd.diff
Patch1:  initscripts-6.7-depmod-fix-gd.diff
Patch2:  initscripts-6.7-hwclock-gd.diff
Patch3:  initscripts-6.7-setsysfont-gd.patch
Patch4:  initscripts-6.7-raid-gd.patch
Patch5:  initscripts-6.7-swap-gd.patch
Patch6:  initscripts-6.7-checkfs-raidfix-gd-2.diff
Patch7:  initscripts-6.7-halt-raidfix-gd.diff
BuildRoot: /%{_tmppath}/%{name}-%{version}-%{release}-root
Requires: mingetty, /bin/awk, /bin/sed, mktemp, e2fsprogs >= 1.18, console-tools
Requires: procps >= 2.0.7-1.0.2
Requires: setup >= 2.0.3, /sbin/fuser, which
## Requires: modutils >= 2.3.11-1.0.5
Requires: syslog-ng
Prereq: /sbin/chkconfig, /usr/sbin/groupadd, gawk, fileutils

%description
The initscripts package contains the basic system scripts used to boot
your Guardian Digital Linux Lockbox, change run levels, and shut the 
system down cleanly.  Initscripts also contains the scripts that 
activate and deactivate most network interfaces.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0

%build
make CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-s"

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  ###  Set up directory structure. 
  mkdir -p $RPM_BUILD_ROOT/etc
  mkdir -p $RPM_BUILD_ROOT/etc/default

  ###  Make and install the initscripts.
  make ROOT=$RPM_BUILD_ROOT mandir=%{_mandir} install 

  ###  Install ifup/ifdown binaries.
  install -m750 %{SOURCE1} $RPM_BUILD_ROOT/sbin/ifup
  install -m750 %{SOURCE1} $RPM_BUILD_ROOT/sbin/ifdown

  ###  Restore permissions on /etc
  chmod 750 $RPM_BUILD_ROOT/etc

  ###  Set up rc stucture.
  for i in 0 1 2 3 4 5 6 S ; do
	file=$RPM_BUILD_ROOT/etc/rc$i.d
	mkdir $file
  done

# Can't store symlinks in a CVS archive
ln -s ../init.d/killall $RPM_BUILD_ROOT/etc/rc0.d/S00killall
ln -s ../init.d/killall $RPM_BUILD_ROOT/etc/rc6.d/S00killall

# reconfigure system if necessary
ln -s ../init.d/sys-unconfig $RPM_BUILD_ROOT/etc/rc3.d/S11sys-unconfig

ln -s ../init.d/halt $RPM_BUILD_ROOT/etc/rc0.d/S01halt
ln -s ../init.d/halt $RPM_BUILD_ROOT/etc/rc6.d/S01reboot

ln -s ../init.d/single $RPM_BUILD_ROOT/etc/rc1.d/S00single

ln -s ../init.d/keytable $RPM_BUILD_ROOT/etc/rcS.d/S05keytable
ln -s ../init.d/checkroot $RPM_BUILD_ROOT/etc/rcS.d/S10checkroot
ln -s ../init.d/hwclock $RPM_BUILD_ROOT/etc/rcS.d/S12hwclock
ln -s ../init.d/modutils $RPM_BUILD_ROOT/etc/rcS.d/S20modutils
ln -s ../init.d/checkfs $RPM_BUILD_ROOT/etc/rcS.d/S30checkfs
ln -s ../init.d/procps $RPM_BUILD_ROOT/etc/rcS.d/S30procps
ln -s ../init.d/mountall $RPM_BUILD_ROOT/etc/rcS.d/S35mountall
ln -s ../init.d/hostname $RPM_BUILD_ROOT/etc/rcS.d/S40hostname
ln -s ../init.d/console-screen $RPM_BUILD_ROOT/etc/rcS.d/S48console-screen
ln -s ../init.d/bootmisc $RPM_BUILD_ROOT/etc/rcS.d/S55bootmisc
ln -s ../init.d/random $RPM_BUILD_ROOT/etc/rcS.d/S80random
ln -s ../init.d/devpts $RPM_BUILD_ROOT/etc/rcS.d/s35devpts

ln -s ../init.d/hwclock $RPM_BUILD_ROOT/etc/rc0.d/K25hwclock

ln -s ../init.d/rmnologin $RPM_BUILD_ROOT/etc/rc2.d/S99rmnologin

ln -s ../init.d/rmnologin $RPM_BUILD_ROOT/etc/rc3.d/S99rmnologin

ln -s ../init.d/hwclock $RPM_BUILD_ROOT/etc/rc6.d/K25hwclock
ln -s ../init.d/reboot $RPM_BUILD_ROOT/etc/rc6.d/S90reboot

mkdir -p $RPM_BUILD_ROOT/var/{log,run}
touch $RPM_BUILD_ROOT/var/run/utmp
touch $RPM_BUILD_ROOT/var/log/wtmp

# move to hdparm
rm $RPM_BUILD_ROOT/etc/init.d/harddisks

%pre
/usr/sbin/groupadd -g 22 -r -f utmp

%post
touch /var/log/wtmp
touch /var/run/utmp
chown root.utmp /var/log/wtmp /var/run/utmp
chmod 660 /var/log/wtmp /var/run/utmp

chkconfig --add random 
chkconfig --add network 

%preun
if [ $1 = 0 ]; then
  chkconfig --del random
  chkconfig --del network
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%attr(0750,root,admin)	%dir /etc/network
%attr(0640,root,admin)	%config(noreplace) /etc/network/interfaces

%attr(0750,root,admin)	%dir /etc/default
%attr(0700,root,root)	%dir /etc/rc?.d
%attr(0640,root,admin)	%config /etc/default/devpts

%attr(0640,root,admin)	%config /etc/default/bootcolors

%attr(0640,root,admin)	%config /etc/default/rcS

%attr(0640,root,admin)	%config /etc/default/network

%attr(0640,root,admin)	%config(noreplace) /etc/default/keyboard

%config %verify(not md5 mtime size) /etc/adjtime
%attr(0750,root,admin)	%config /sbin/ifdown
%attr(0750,root,admin)	%config /sbin/ifup
%attr(0640,root,root)	%config /etc/inittab
%attr(0740,root,root)	%config /etc/rc
%attr(0740,root,root)	%config /etc/rcS
%attr(0700,root,root)	%dir	/etc/rc?.d/*
%attr(0700,root,root)	%dir    /etc/init.d
%attr(0700,root,root)	%config /etc/init.d/*
%attr(0640,root,root)	%config(noreplace) /etc/sysctl.conf
%config /etc/profile.d/lang.sh
%config /etc/profile.d/lang.csh
/usr/sbin/sys-unconfig
/sbin/setsysfont
/bin/doexec
/bin/ipcalc
/bin/usleep
/sbin/consoletype
/sbin/getkey
/sbin/initlog
/sbin/minilogd
%doc sysconfig.txt sysvinitfiles
%doc %{_mandir}/man*/*
%attr(0640,root,admin)	%config /etc/default/initlog.conf
%ghost %attr(0660,root,utmp) /var/log/wtmp
%ghost %attr(0660,root,utmp) /var/run/utmp

%changelog
* Fri Apr 25 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 6.7, Release 1.3.1
  - Bring in some patches that Nick added to post 1.2 decided
    to never tell me about.  Hopefully this fixes the "RAID
    unmount" problems that some customers (and myself) are having.
  - Cleaned up a comparison in the 'checkfs-raidfix' patch.

* Thu Apr 10 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.3.0
  - Initial build for EnGarde Secure Community 2 (Feint).

* Fri Feb 28 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 6.7, Release 1.5.2
  - Make /etc/default/keyboard %config(noreplace).

* Tue Feb 04 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Version 6.7, Release 1.5.1
  - Patch fixes.

* Mon Feb 03 2003 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.5.0
  - Initial build for EnGarde v1.5 (Thrust).

* Wed May 01 2002 Pete O'Hara <pete@guardiandigital.com>
- Version 6.7, Release 1.2.4
  - Changed fileutils from Requires: to Prereq:

* Tue Apr 30 2002 Nicholas DeClario <nick@guardiandigital.com>
- Version 6.7, Release 1.2.3
  - Updated setsysfont patch to surpress output

* Mon Apr 29 2002 Nicholas DeClario <nick@guardiandigital.com>
- Version 6.7, Release 1.2.2
  - Added setsysfont patch for EnGarde compatibility

* Mon Apr 29 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Vesrsion 6.7, Release 1.2.1
  - Add 'fileutils' requirement.

* Mon Feb 11 2002 Ryan W. Maple <ryan@guardiandigital.com>
- Release 1.2.0
  - Initial build for EnGarde v1.2 (Parry).

* Wed Nov 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 6.7, Release 1.1.9
  - Move hwclock to S12 (from S50) in rcS.d/ so it syncs the
    time before depmod runs.
  - Add 'start' and 'stop' cases to hwclock so it properly
    syncs the system time at shutdown/boot.


* Tue Nov 06 2001 Pete O'Hara <pete@guardiandigital.com>
- Version 6.7, Release 1.1.8
  - Fixed typo in /etc/init.d/halt

* Fri Nov 02 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 6.7, Release 1.1.7
  - Do 'depmod -A', not 'depmod -a' in modutils initscript.


* Tue Sep 25 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 6.7, Release 1.1.6
  - Apply diff to potato ifup/ifdown.  The new ones just weren't
    working... maybe in 2.0.
  - Back out new directories and ifstate in /etc/network.


* Tue Sep 25 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 6.7, Release 1.1.5
  - New ifup/ifdown that take "ppoe" in interfaces(5).
  - Added new directories in /etc/network.
  - Touch an empty /etc/network/ifstate.


* Fri Sep 21 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 6.7, Release 1.1.4
  - Fixed quotaon bug with patch (kept version number).


* Tue Sep 11 2001 Dave Wreski <dave@guardiandigital.com>
- Version 6.7, Release 1.1.3
  - Rebuilt and simplified modutils init script

* Mon Sep 10 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 6.6, Release 1.1.2
  - Moved the quota setup code from checkfs to mountall.  It doesn't make
    much sense to turn quotas on before all the filesystems are mounted...
  - Removed extraneous $RPM_OPT_FLAGS from LDFLAGS.


* Thu Aug 09 2001 Dave Wreski <dave@guardiandigital.com>
- Version 6.6, Release 1.1.1
  - remove harddisks for hdparm

* Tue Aug 07 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 6.6, Release 1.1.0
  - Initial build for EnGarde v1.1 (Balestra).


* Wed Apr 11 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 6.6, Release 1.0.31
  - Build-time fixen.


* Fri Mar 16 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 6.6, Release 1.0.30
  - Updated 'halt' and 'modutils' initscripts.


* Fri Mar 16 2001 Ryan W. Maple <ryan@guardiandigital.com>
- Version 6.5, Release 1.0.29
  - Added the "noreplace" flag to '/etc/network/interfaces'.


* Thu Mar 15 2001 Ryan W. Maple <ryan@guardiandigital.com>
  - Updated initscripts (functions), etc.


* Tue Jan 02 2001 Pete O'Hara <pete@guardiandigital.com>
- change /etc/init.d/functions file back and made changes
	to /etc/init.d/stunnel* startups in imap rpm

* Thu Dec 28 2000 Pete O'Hara <pete@guardiandigital.com>
- added static route to 127.0.0.0 to /etc/network/interfaces

* Wed Dec 13 2000 Pete O'Hara <pete@guardiandigital.com>
- removed /etc/init.d/logoutd as the daemon in not present

* Fri Dec 08 2000 Pete O'Hara <pete@guardiandigital.com>
- chmod 640 /etc/default/rcS, harddisks
- modified /etc/init.d/bootmisc /var/run/files.pid removal

* Thu Dec 07 2000 Pete O'Hara <pete@guardiandigital.com>
- removed requirement of modutils

* Tue Dec 05 2000 Pete O'Hara <pete@guardiandigital.com>
- removed /sbin/service

* Tue Dec 05 2000 Dave Wreski <dave@guardiandigital.com>
- fixed pidlist variable in the daemon function to check entire argv

* Tue Dec 05 2000 Pete O'Hara <pete@guardiandigital.com>
- changed /etc/init.d/bootmisc to chmod 640 
	on /var/log/dmesg

* Sun Dec 03 2000 Dave Wreski <dave@guardiandigital.com>
- admin permission changes

* Sat Dec 02 2000 Dave Wreski <dave@guardiandigital.com>
- move mount/umount to /bin in several init scripts

* Thu Nov 30 2000 Pete O'Hara <pete@guardiandigital.com>
- added /etc/default/keyboard 

* Tue Nov 21 2000 Pete O'Hara <pete@guardiandigital.com>
- removed dependencies on /etc/sysconfig/network

* Mon Nov 20 2000 Pete O'Hara <pete@guardiandigital.com>
- made /etc/rc /etc/rcS executable

* Sun Nov 19 2000 Dave Wreski <dave@guardiandigital.com>
- ported RH `harddisks' to engarde
- modified fsck parameters in checkroot and checkfs
- rebuilt `hostname'
- added software raid support to checkfs
- added simple sys-reconfig (needs to be fixed still)
- added quota support
- fixed logoutd
- removed sound support
- moved initlog.conf to /etc/default (initlog.c and Makefile)
- fixed permissions on /etc/init.d and /etc/default

* Fri Nov 17 2000 Pete O'Hara <pete@guardiandigital.com>
- this is now a Guardian Digital package with 
	version number 6.0
- removed "kernel.sysrq = 0" as this is currently not
	an option that is compiled in our kernels
- added default IP of 192.168.10.100 into
	/etc/network/interfaces and /etc/sysconfig
	/network for default install

* Fri Nov 17 2000 Dave Wreski <dave@guardiandigital.com>
- strip out all unnecessary networking config

* Mon Nov 13 2000 Pete O'Hara <pete@guardiandigital.com>
- added some non-existent links in /etc/rc0.d

* Thu Nov 09 2000 Pete O'Hara <pete@guardiandigital.com>
- modified /etc/rc, rcS to support no /etc/rc.d

* Mon Nov 06 2000 Pete O'Hara <pete@guardiandigital.com>
- removed the use of /etc/rc.d/ and creating /etc/init.d
- removed /etc/X11 directory

* Mon Nov 06 2000 Pete O'Hara <pete@guardiandigital.com>
- patched to remove making usernetctl, netreport, ppp-watch

* Tue Oct 03 2000 Pete O'Hara <pete@guardiandigital.com>
- removed use of /etc/rc.d/rc.sysinit and created /etc/rc.d/rcS.d
	which makes the former rc.sysinit function modular
- chmod 660 /var/log/wtmp, /var/run/utmp

* Wed Aug 30 2000 Pete O'Hara <pete@guardiandigital.com>
- added links in /etc for LSB compatibility

* Fri Jul 07 2000 Pete O'Hara <pete@guardiandigital.com>
- removed world access to /etc/sysclt.conf, initlog.conf
	/sbin/idup, ifdown 
- removed "mount -t shm none /dev/shm" from rc.sysinit
	as it reports unnecessary errors to console in
	kernels < 2.3.99
- removed Ctl-Alt-Del rebooting 
- forced root passwd to enter single user mode for 
	Guardian Digital Linux Lockbox

* Sun Jun 26 2000 Dave Wreski <dave@guardiandigital.com>
- Removed usernetctl, netreport
- Changed /etc/sysconfig and /etc/rc.d to 0750
- Removed NIS support in rc.sysinit
- Removed sound support in rc.sysinit
- Added spoof protection and other /proc/sys entries to sysctl
- Removed netfs support -- no NFS or SMB here
- Removed X11 and PCMCIA support
- Removed IPX support
